package com.cftech.mp.area.service;

import com.cftech.core.generic.GenericService;
import com.cftech.mp.area.model.Area;
import com.cftech.mp.area.model.AreaDto;

import java.util.List;

/**
 * areaService
 * Created by lisw 25/08/2016.
 */
public interface AreaService extends GenericService<Area> {

    /**
     * 获取所有省市
     */
    public List<AreaDto> areaList();

    /**
     * 需要清除缓存，故不可使用直接调用GenericService中的save及update方法
     */

    public boolean saveCache(Area area);

    public boolean updateCache(Area area);

}
